@import "particles/variables";
@import "common/mixins";
/**
 * ---------------
 * Mobile Navigaion
 */
#navMobile{
    background-color: #fff;
    justify-content: space-between;
    display: flex;
    color: #fff;
    height: 45px;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 999;
    padding-left: .8em;
    padding-right: .8em;
    box-shadow: 0 0 10px 0 #bababa;
    @include miw-lg{
        display: none;
    }

    .left{
        align-self: center;

        button{
            border: 0;
            background-color: transparent;
            color: $primary;
            padding: 0;

            svg {
                color: $primary;
                vertical-align: middle;
            }
        }
    }
    .center{
        align-self: center;

        img{
            max-width: 230px;
            max-height: 35px;
        }
    }
    .right{
        align-self: center;
        display: flex;

        a{
            display: flex;
            color: #fff;
            align-items: center;
            padding-right: .6em;
            position: relative;

            img{
                max-width: 25px;
                max-height: 25px;
            }
            .data-cart-count{
                position: absolute;
                top: -4px;
                right: 0;
                background-color: #F00000;
                color: #fff;
                padding: .1em .5em;
                border-radius: 50%;
                font-weight: 600;
                font-size: 0.8rem;
            }
        }
    }
}

/**
 * -------------
 * Mobile Toggle Menu
 */
#navToggle{
    width: 250px;
    height: 100%;
    overflow-y: auto;
    background-color: #fff;
    margin-left: -250px;
    margin-right: 1px;
    position: fixed;
    top: 0;
    z-index: 999;
    -webkit-transition: all .3s ease;
    -moz-transition: all .3s ease;
    -o-transition: all .3s ease;
    transition: all .3s ease;

    .top{
        padding: .8em;
        background-color: #fff;
        text-align: center;

        img{
          max-height: 35px;
          max-width: 100%;
        }
    }
    .middle{
        width: -webkit-fill-available;
        width: -moz-available;
        align-self: center;
        background-color: $primary;
        padding: .5em 1em;

        .form-group{
            margin-bottom: 0;

            input{
                border-radius: 5px 0 0 5px;
                padding: .7em 0 .7em 1em;
                height: unset;
                border: 0;
                background-color: #fff;
                color: $dark;
                font-size: .9em;
                width: 100%;
            }
            button{
                border-radius: 0 5px 5px 0;
                padding: .5em .7em;
                height: inherit;
                box-shadow: none;
                border: 0;
                background-color: #fff;
                color: $dark;

                svg{
                    vertical-align: middle;
                }
            }
        }
    }
    .bottom{
        .nav{
            background-color: $primary;
            color: #fff;

            .nav-item{
                background-color: darken($primary, 5%);

                .nav-link{
                    padding: .4em;
                    color: #fff;
                    -webkit-transition: all .2s ease;
                    -moz-transition: all .2s ease;
                    -o-transition: all .2s ease;
                    transition: all .2s ease;

                    svg{
                        vertical-align: middle;
                    }
                }
                .nav-link.active {
                    color: $primary;
                    background-color: #fff;
                    border-radius: 0;
                }
            }
            .nav-item.close-nav{
                max-width: 40px;
                background-color: $primary;

                svg{
                    animation: snake 5s 2s infinite;
                }
            }
        }
        .tab-content{
            .tab-pane{
                padding: 0 1em;

                .auth{
                    padding: 1em 0;
                    border-bottom: 1px solid #fafafa;
                    img{
                        max-height: 40px;
                        max-width: 40px;
                        border-radius: 50%;
                        border: 1px solid #dedede;
                    }
                    .media-body{
                        align-self: center;
                        color: #dedede;
                        font-size: .9rem;

                        .auth-name{
                            margin: 0;
                            font-size: 1rem;
                            color: $dark;
                        }
                    }
                }
                .item{
                    > a{
                        padding: .7em;
                        display: block;
                        color: $dark;
                        border-bottom: 1px solid #fafafa;
                    }
                    > ul{
                        list-style: none;
                        margin-bottom: 0;
                        background-color: #fafafa;
                        padding-left: 2.6em;
                        padding-right: 1em;
                        margin-left: -1em;
                        margin-right: -1em;

                        > li{
                            > a{
                                color: $dark;
                                padding: .5em;
                                display: block;
                                border-bottom: 1px solid #fff;
                            }
                        }
                    }
                }
                .item:last-child{
                    > a{
                        border: 0;
                    }
                }
            }
        }
    }
}
#navToggle.open{
    margin-left: 0;
}

/**
 * -------------
 * Viewport
 */
#viewport{
    width: 100%;
    -webkit-transition: all .3s ease;
    -moz-transition: all .3s ease;
    -o-transition: all .3s ease;
    transition: all .3s ease;
    @include maw-md{
        margin-top: 45px;
    }
}
#viewport.slide{
    margin-left: 250px;
}

/**
 * -----------
 * Overlay
 */
.overlay{
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .6);
    z-index: 1000;
    visibility: hidden;
    opacity: 0;
    top: 0;
    bottom: 0;
    -webkit-transition: all .3s ease;
    -moz-transition: all .3s ease;
    -o-transition: all .3s ease;
    transition: all .3s ease;
}
.overlay.show{
    visibility: visible;
    opacity: 1;
}
